#ifndef _MAIN___
#define _MAIN___

enum BASIC_NOTES {
	DO = 0,	RE,	MI,	FA,	SOL, LA, SI, _DO, __END_NOTE__ };

// delay is done using Delay1KTCYx
#define HALF_NOTE	30	//300 milli
#define FULL_NOTE	60	//600 milli
#define DOUBLE_NOTE	120	//1.2 sec
#define MELODY_END	100	//e sec
#define INNER_DELAY	5	//50 milli

#define BASIC_DELAY	1	//10 milli

//#pragma rom const_music
const unsigned char g_pucMelody[] = {
	DO,	MI,	DO,	MI,	SOL, SOL, DO, MI, DO, MI, SOL, SOL,	_DO, SI, LA, SOL, FA, LA, SOL, FA, MI, RE, DO, DO, __END_NOTE__ };

const unsigned char g_pucNoteLength[] = {
	HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE,
	HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE,	HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE,
	FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE };

const unsigned char g_pucMelody1[] = {
	MI, MI,	FA,	SOL, SOL, FA, MI, RE, DO, DO, RE, MI, MI, RE, RE, MI, MI, FA, SOL, SOL, FA, MI, RE, DO, DO,
	RE,	MI,	RE,	DO,	DO,	RE,	RE,	MI,	DO,	RE,	MI,	FA,	MI,	DO,	RE,	MI,	FA,	MI,	RE,	DO,	RE,	SOL, MI, MI, FA, SOL,
	SOL, FA, MI, RE, DO, DO, RE, MI, RE, DO, DO, __END_NOTE__ };

const unsigned char g_pucNoteLength1[] = {
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, DOUBLE_NOTE };

const char g_pucPeriod[] = {
	237, 211, 188, 178, 158, 141, 127, 118 };

// Define 7-SEGMENT numbers
#define _7SEG_0		0x41
#define _7SEG_1		0xE7
#define _7SEG_2		0x54
#define _7SEG_3		0x64
#define _7SEG_4		0xEA
#define _7SEG_5		0x68
#define _7SEG_6		0x48
#define _7SEG_7		0xE5
#define _7SEG_8		0x40
#define _7SEG_9		0x60

const char g_puc7SegNumbers[] = {
		_7SEG_0, _7SEG_1, _7SEG_2, _7SEG_3, _7SEG_4, _7SEG_5, _7SEG_6, _7SEG_7 };

#endif //_MAIN___
